Skip to main content
Resource Center/Resource Pool/VM Instance Operations
PUTVM Instance OperationsSince 4.6.21SynchronousAuth Required

UpdateGuestToolsState

UpdateGuestToolsState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • vmInstanceUuidStringRequired

    The VM instance UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user UUIDs.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryGuestToolsStateInventoryRequired

    详情参考inventory

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • versionStringRequired

      The VM GuestTools version.

    • platformStringRequired

      The VM OS platform type.

    • osTypeStringRequired

      The VM OS type.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • qgaStateGuestToolsQgaStateRequired

      See qgaState.

      • NotInstalledGuestToolsQgaStateRequired

        The QGA is not installed.

      • RunningGuestToolsQgaStateRequired

        The QGA is running.

      • NotRunningGuestToolsQgaStateRequired

        The QGA is stopped.

      • NotUpgradedGuestToolsQgaStateRequired

        The QGA needs to be upgraded.

    • zwatchStateGuestToolsZWatchStateRequired

      See zwatchState.

      • NotInstalledGuestToolsZWatchStateRequired

        The zwatch is not installed.

      • RunningGuestToolsZWatchStateRequired

        The zwtach is running.

      • NotRunningGuestToolsZWatchStateRequired

        The zwatch is not running.

Endpoint

PUT/zstack/v1/vm-instances/{vmInstanceUuid}/guesttools-state

/zstack/v1/vm-instances/{vmInstanceUuid}/guesttools-state

Operation ID

UpdateGuestToolsState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/guesttools-state' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "vmInstanceUuid": "321e85ca08b335e09f172041f7e710b5", "qgaState": "Running", "zwatchState": "Running", "version": "4.6.11", "platform": "Kylin", "osType": "Kylin" } }

Change History

This API has no change history records yet.

View all change history